
Application: gvSIG desktop - gvSIG bugs #1471
WMS properties throws an exception
12/11/2012 09:43 AM - Ignacio Brodín

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: WMS
Target version: 2.0.0-rc2
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

Server: http://inspire.cop.gva.es/mapserver/wms
Layer: comunic_lin_300k

java.lang.NullPointerException
    at org.gvsig.raster.wms.app.wmsclient.gui.dialog.WMSPropsDialog.initialize(WMSPropsDialog.java:105)
    at org.gvsig.raster.wms.app.wmsclient.gui.dialog.WMSPropsDialog.<init>(WMSPropsDialog.java:96)
    at org.gvsig.raster.wms.app.wmsclient.gui.toc.WMSPropsTocMenuEntry.execute(WMSPropsTocMenuEntry.java:36)
    at org.gvsig.app.project.documents.view.toc.AbstractTocContextMenuAction.execute(AbstractTocContextMenuAction.java:40)
    at org.gvsig.app.project.documents.view.toc.gui.FPopupMenu$MenuItem.actionPerformed(FPopupMenu.java:247)
    at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:1995)
    at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2318)
    at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:387)
    at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:242)
    at javax.swing.AbstractButton.doClick(AbstractButton.java:357)
    at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:1223)
    at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:1264)
    at java.awt.Component.processMouseEvent(Component.java:6263)
    at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
    at java.awt.Component.processEvent(Component.java:6028)
    at java.awt.Container.processEvent(Container.java:2041)
    at java.awt.Component.dispatchEventImpl(Component.java:4630)
    at java.awt.Container.dispatchEventImpl(Container.java:2099)
    at java.awt.Component.dispatchEvent(Component.java:4460)
    at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4574)
    at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4238)
    at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4168)
    at java.awt.Container.dispatchEventImpl(Container.java:2085)
    at java.awt.Component.dispatchEvent(Component.java:4460)
    at java.awt.EventQueue.dispatchEvent(EventQueue.java:599)
    at org.gvsig.andami.ui.AndamiEventQueue.dispatchEvent(AndamiEventQueue.java:67)
    at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:269)
    at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:184)
    at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:174)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:169)
    at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:161)
    at java.awt.EventDispatchThread.run(EventDispatchThread.java:122)

History
#1 - 12/11/2012 09:44 AM - Ignacio Brodín
- Status changed from New to Fixed

gvsig-raster:r1365

#2 - 12/11/2012 12:32 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.0.0-final to 2.0.0-rc2

#3 - 12/18/2012 10:03 AM - Vicent Domenech
- Status changed from Fixed to Closed

Closed using gvSIG build 2061 (RC2)
